# List custom-context pagination

Retrieve a paginated list of contexts within an organization.

Endpoint: GET /api/context/user/v2/contexts
Version: 1.0
Security: BearerAuth

## Security:

  - `BearerAuth` (unknown)
    http bearer JWT

## Query parameters:

  - `onlyId` (string)
    Returns IDs only

  - `pageSize` (integer)

  - `pageNumber` (integer)

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `oneOf` (array, required)

  - `oneOf.data` (array, required)

  - `oneOf.data.organizationId` (string, required)
    Example: org_123ABC

  - `oneOf.data.sitecoreContextId` (string)
    Example: 5tc3b17d-1816-40ef-bbf3-ae6703546552c

  - `oneOf.data.type` (string, required)
    Example: xmcloud

  - `oneOf.data.accountId` (string, required)
    Example: account001

  - `oneOf.data.name` (string)
    Example: My Context

  - `oneOf.data.description` (string)
    Example: This is my context

  - `oneOf.data.resources` (array, required)

  - `oneOf.data.resources.id` (string, required)
    Example: SitecoreSearchResource

  - `oneOf.data.resources.name` (string, required)
    Example: My Sitecore search resource

  - `oneOf.data.resources.type` (string, required)
    Example: search

  - `oneOf.data.resources.tenantId` (string, required)
    Example: g6c3b17d-1816-40ef-bbf3-ae670311452c

  - `oneOf.data.resources.properties` (array, required)

  - `oneOf.data.resources.properties.id` (string, required)
    Property id
    Example: POS

  - `oneOf.data.resources.properties.value` (string, required)
    Property value
    Example: playwebsite

  - `oneOf.data.resources.tenantName` (string, required)
    Example: tenant name

  - `oneOf.data.resources.tenantProductCode` (string, required)
    Example: Search

  - `oneOf.pageNumber` (integer, required)
    Example: 1

  - `oneOf.pageSize` (integer, required)
    Example: 10

  - `oneOf.totalCount` (integer, required)
    Example: 100

## Response 400:

  - `400` (unknown)
    Request not valid

## Response 400 fields (application/json):

  - `title` (string, required)
    Example: Unauthorized

  - `type` (string, required)
    Example: Unauthorized

  - `instance` (string, required)
    Example: /v1/context

  - `status` (integer, required)
    Example: 500

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

## Response 401 fields (application/json):

  - `title` (string, required)
    Example: Unauthorized

  - `type` (string, required)
    Example: Unauthorized

  - `instance` (string, required)
    Example: /v1/context

  - `status` (integer, required)
    Example: 500

## Response 500:

  - `500` (unknown)
    Server-side exception during request execution

## Response 500 fields (application/json):

  - `title` (string, required)
    Example: Unauthorized

  - `type` (string, required)
    Example: Unauthorized

  - `instance` (string, required)
    Example: /v1/context

  - `status` (integer, required)
    Example: 500

